///////////////////////////////////////////////////////////////////////
//                               41 Post                             //
// Created by DimasTheDriver in Mar/2/2011                           //
// Part of 'Creating a GUI with both 3D and 2D elements' post.       //
// Available at:      http://www.41post.com/?p=3255                  //
///////////////////////////////////////////////////////////////////////

//get this item's Transform
private var itemTransform:Transform;
//a variable to store the number of collected items
public static var numberOfItems:int=0;
	
// Use this for initialization
function Awake () 
{
	//get the this item's Transform
	itemTransform = GetComponent(Transform);
	//reset the number of collected items to zero
	numberOfItems = 0;
}
	
function OnTriggerEnter(col:Collider)
{
	//If the player touches this object
	if(col.tag == "Player")
	{
		//increase the number of collected items
		++numberOfItems;
		//destroy this game object
		Destroy(gameObject);
	}
}
	
// Update is called once per frame
function Update () 
{
	//rotate this game object
	itemTransform.Rotate(Vector3.up * 3,Space.World);
}

